WMEMCMP(3)

NAME
wmemcmp - compare wide strings

SYNOPSIS
#include <wchar.h>
int
wmemcmp(const wchar_t *s1, const wchar_t *s2, size_t len);

DESCRIPTION
The wmemcmp() function compares the wide string s1 against the wide string s2. Both wide strings are assumed to be len wide characters long.

RETURN VALUES
The wmemcmp() function returns zero if the two wide strings are identical, otherwise the difference between the first two differing wide characters is returned. Zero-length wide strings are always identical.

SEE ALSO
memcmp(3), wcscasecmp(3), wcscmp(3)

STANDARDS
The wmemcmp() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wmemcmp() function was ported from NetBSD and first appeared in OpenBSD 3.8.